Skip to main content
GET
Find the Chainalysis configuration for an environment.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Response

Chainalysis Configuration

id
string
required
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

sanctionsApiEnabled
boolean
required

Whether Chainalysis sanctions screening is enabled for wallet addresses

kytApiEnabled
boolean
required

Whether Chainalysis Know Your Transaction (KYT) monitoring is enabled

projectEnvironmentId
string
required
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

createdAt
string<date-time>
required

ISO 8601 timestamp of when the Chainalysis configuration was created

updatedAt
string<date-time>
required

ISO 8601 timestamp of when the Chainalysis configuration was last updated

Last modified on January 21, 2026